Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.http
Interface HTTPClientApplication

    public interface HTTPClientApplication

HTTP Application interface.

Version:
  $Revision: 1.4 $

Method Summary
`void` | `get()` Performs an HTTP GET request.
`HTTPRequest` | `getRequest()` Get the HTTPRequest object for setting HTTP request data to be sent to the web server in an HTTP request.
`HTTPResult` | `getResult()` Get the HTTPResult object used to retrieve results after performing a GET or POST request.
`void` | `post()` Performs an HTTP POST request.

Method Detail

### getRequest

    HTTPRequest getRequest()
                           throws HTTPApplicationException

  Get the HTTPRequest object for setting HTTP request data to be sent to the web server in an HTTP request.

  Returns:
    An HTTPRequest object for populating data in an HTTP request.
  Throws:
    `HTTPApplicationException` - upon error.

### getResult

    HTTPResult getResult()
                         throws HTTPApplicationException

  Get the HTTPResult object used to retrieve results after performing a GET or POST request.

  Returns:
    An HTTPResult object for retrieving HTTP request results.
  Throws:
    `HTTPApplicationException` - upon error.

### get

    void get()
             throws HTTPApplicationException

  Performs an HTTP GET request.

  Throws:
    `HTTPApplicationException` - upon error.

### post

    void post()
              throws HTTPApplicationException

  Performs an HTTP POST request.

  Throws:
    `HTTPApplicationException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.